Package dev.plex.module

# Class ModuleManager

java.lang.Object
dev.plex.module.ModuleManager

public class ModuleManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<PlexModule>`
`modules`

## Constructor Summary

Constructors
Constructor
Description
`ModuleManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`disableModules()`
`void`
`enableModules()`
`void`
`loadAllModules()`
`void`
`loadModules()`
`void`
`reloadModules()`
`void`
`unloadModules()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modules

private final List<PlexModule> modules

## Constructor Details

### ModuleManager

public ModuleManager()

## Method Details

### loadAllModules

public void loadAllModules()

### loadModules

public void loadModules()

### enableModules

public void enableModules()

### disableModules

public void disableModules()

### unloadModules

public void unloadModules()

### reloadModules

public void reloadModules()